<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__lvd__functions" kind="group">
    <compoundname>group_lvd_functions</compoundname>
    <title>Functions</title>
    <innergroup refid="group__group__lvd__functions__syspm__callback">Low Power Callback</innergroup>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga855b38a29ad7ce794e38f09e546f14c4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_Enable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_Enable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Enables the output of the LVD block when the VDDD voltage is at or below the threshold. </para>        </briefdescription>
        <detaileddescription>
<para>See the Configuration Considerations section for details. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="293" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="286" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="258" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga3eba25c246f5977fca59309c198743a0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_Disable</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_Disable</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Disables the LVD block. </para>        </briefdescription>
        <detaileddescription>
<para>A low voltage detection interrupt is disabled. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="310" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="303" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="259" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga59ac02fec5dbbba9c16b7b72beaa91b8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_SetThreshold</definition>
        <argsstring>(cy_en_lvd_tripsel_t threshold)</argsstring>
        <name>Cy_LVD_SetThreshold</name>
        <param>
          <type><ref kindref="member" refid="group__group__lvd__enums_1ga4eaeaadf154cb3cbc9af0b4abcd56f62">cy_en_lvd_tripsel_t</ref></type>
          <declname>threshold</declname>
        </param>
        <briefdescription>
<para>Sets a threshold for monitoring the VDDD voltage. </para>        </briefdescription>
        <detaileddescription>
<para>To prevent propagating a false interrupt, before changing the threshold ensure that the LVD block itself and LVD interrupt are disabled by the <ref kindref="member" refid="group__group__lvd__functions_1ga3eba25c246f5977fca59309c198743a0">Cy_LVD_Disable</ref> and <ref kindref="member" refid="group__group__lvd__functions_1ga1de4327b866c4002806eb915023f438e">Cy_LVD_ClearInterruptMask</ref> functions correspondingly.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>threshold</parametername>
</parameternamelist>
<parameterdescription>
<para>Threshold selection for Low Voltage Detect circuit, <ref kindref="member" refid="group__group__lvd__enums_1ga4eaeaadf154cb3cbc9af0b4abcd56f62">cy_en_lvd_tripsel_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="336" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="327" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="260" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga9e3a366b7240affbd27ef64a12c7121f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__lvd__enums_1ga8ee282b956b17299990b22e65f15db0b">cy_en_lvd_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_lvd_status_t Cy_LVD_GetStatus</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_GetStatus</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the status of LVD. </para>        </briefdescription>
        <detaileddescription>
<para>SRSS LVD Status Register (PWR_LVD_STATUS).</para><para><simplesect kind="return"><para>LVD status, <ref kindref="member" refid="group__group__lvd__enums_1ga8ee282b956b17299990b22e65f15db0b">cy_en_lvd_status_t</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="352" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="349" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="261" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1gafc5ec839663e466fcd6332b767d4253c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_LVD_GetInterruptStatus</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_GetInterruptStatus</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the status of LVD interrupt. </para>        </briefdescription>
        <detaileddescription>
<para>SRSS Interrupt Register (SRSS_INTR).</para><para><simplesect kind="return"><para>SRSS Interrupt status, <ref kindref="member" refid="group__group__lvd__macros_1gae8294f29a1f72dec843637a91a565763">CY_LVD_INTR</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="368" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="365" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="262" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1gaadd0bff934f82db8d5630ab9163fbf49" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_ClearInterrupt</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_ClearInterrupt</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Clears LVD interrupt. </para>        </briefdescription>
        <detaileddescription>
<para>SRSS Interrupt Register (SRSS_INTR). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="388" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="379" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="263" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga7f875a2e19d66badf8736ffc75b96665" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_SetInterrupt</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_SetInterrupt</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Triggers the device to generate interrupt for LVD. </para>        </briefdescription>
        <detaileddescription>
<para>SRSS Interrupt Set Register (SRSS_INTR_SET). </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="406" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="399" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="264" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga64c8f2e7e5963585cbddc6370768c2b1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_LVD_GetInterruptMask</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_GetInterruptMask</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the mask value of LVD interrupts. </para>        </briefdescription>
        <detaileddescription>
<para>SRSS Interrupt Mask Register (SRSS_INTR_MASK).</para><para><simplesect kind="return"><para>SRSS Interrupt Mask value, <ref kindref="member" refid="group__group__lvd__macros_1gae8294f29a1f72dec843637a91a565763">CY_LVD_INTR</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="422" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="419" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="265" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga7f58d4e85f404434cf4f0b89c35143d2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_SetInterruptMask</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_SetInterruptMask</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Enables LVD interrupts. </para>        </briefdescription>
        <detaileddescription>
<para>Sets the LVD interrupt mask in the SRSS_INTR_MASK register. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="440" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="433" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="266" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1ga1de4327b866c4002806eb915023f438e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_ClearInterruptMask</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_ClearInterruptMask</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Disables LVD interrupts. </para>        </briefdescription>
        <detaileddescription>
<para>Clears the LVD interrupt mask in the SRSS_INTR_MASK register. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="458" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="451" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="267" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1gaf66597cc5c1f74f48510a60b34c8de7a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_LVD_GetInterruptStatusMasked</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_LVD_GetInterruptStatusMasked</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the masked interrupt status which is a bitwise AND between the interrupt status and interrupt mask registers. </para>        </briefdescription>
        <detaileddescription>
<para>SRSS Interrupt Masked Register (SRSS_INTR_MASKED).</para><para><simplesect kind="return"><para>SRSS Interrupt Masked value, <ref kindref="member" refid="group__group__lvd__macros_1gae8294f29a1f72dec843637a91a565763">CY_LVD_INTR</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="475" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="472" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="268" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__lvd__functions_1gaf9f813c4673a427b7a8aa35447f91cf0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_LVD_SetInterruptConfig</definition>
        <argsstring>(cy_en_lvd_intr_config_t lvdInterruptConfig)</argsstring>
        <name>Cy_LVD_SetInterruptConfig</name>
        <param>
          <type><ref kindref="member" refid="group__group__lvd__enums_1ga86656c2b083eef9b483a09ef4078257e">cy_en_lvd_intr_config_t</ref></type>
          <declname>lvdInterruptConfig</declname>
        </param>
        <briefdescription>
<para>Sets a configuration for LVD interrupt. </para>        </briefdescription>
        <detaileddescription>
<para>SRSS Interrupt Configuration Register (SRSS_INTR_CFG).</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>lvdInterruptConfig</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__lvd__enums_1ga86656c2b083eef9b483a09ef4078257e">cy_en_lvd_intr_config_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="497" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" bodystart="488" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_lvd.h" line="269" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>